<?php

//On inclue l'objet user pour les paramètres du comptes
require_once './metier/user.php';

if (!isset($_SESSION["user"])) {
    //Il n'y a pas d'utilisateur connecté
    //On quite la page
    include_once 'view/account/not_connected.php';
    return;
}

if (isset($_POST["delete"])) {
    deleteUser();
    return;
}


if (isset($_POST["page"])) {
    //Il y a des données on a donc envoyé un formulaire
    //Il faut afficher la page correspondante
    $param = $_POST["page"];

    if ($param == "param") {
        //On demande d'afficher la page des paramètres du compte
        include_once './view/account/param.php';
        return;
    }

    if ($param == "delete") {
        //On demande la page de désinscription
        include_once './view/account/delete.php';
        return;
    }

    if ($param == "games") {
        //On demande la page des parties jouées
        include_once './view/account/games.php';
        return;
    }
} else {
    //Le cas par défaut, on affiche la page du compte principal
    include_once './view/account/default.php';
}

function deleteUser() {
    //Mise en place des outils nécessaires
    include_once './dao/bdd.php';
    include_once './dao/dao.php';
    include_once './dao/user_dao.php';


    //Récupération de l'objet user courant
    $user = $_SESSION["user"];

    //Mise en place d'un nouveau DAO
    $dao = new user_dao();

    //Suppression de l'utilisateur
    $dao->delete($user->getLogin());

    //On supprime le user de SESSION
    session_destroy();

    //On termine afficher le message de confirmation
    include "./view/account/delete_confirm.php";
}

?>